function [Txi1, Txi2] = cheb(n, xi1, xi2)

% Calcola i polinomi di Chebyshev sui punti dati in xi1 e xi2, che
% ci si aspetta essere punti di Padova.
% Txi1 sar una matrice in cui nella colonna i ci sono i polinomi
% di grado da 0 a n calcolati nell'ascissa dell'i-esimo punto di
% Padova; analogamente Txi2, ma calcolata nelle ordinate.

% Metodo efficiente ma da fare e da testare, teniamolo buono per dopo.  
%if (mod(n,2) == 0)
%  m = n/2;
  % Seguo quanto fatto nel file bldpadua.m per calcolare meno volte
  % possibile i polinomi e sfruttare il fatto che poi devono essere
  % copiati uguali.
  
%  Txi1 = repmat(cos([0:n]'*acos(xi1(1:m))), 1, m+1);
%  Txi1 = [Txi1, repmat(cos([0:n]'*acos(xi1(m+1:2*m+2))), 1, m+1)];

%  Txi2 = reshape(repmat(cos([0:n]'*acos(xi2(1:m:m*(m+1)))), m, 1), ...
%         n, m*(m+1));
%else
%end

Txi1 = T(n, xi1);
Txi2 = T(n, xi2);

rad2 = sqrt(2);
Txi1(2:n+1,:) = rad2*Txi1(2:n+1,:);
Txi2(2:n+1,:) = rad2*Txi2(2:n+1,:);
